import { ReactElement } from "react";

type TitleProps = {
  title: string | ReactElement;
  subtitle: string | ReactElement;
};

export function Title({ title, subtitle }: TitleProps): ReactElement {
  return (
    <div className="flex flex-col gap-2 items-center">
      <div className="text-3xl text-primary font-semibold">{typeof title === "string" ? <h1>{title}</h1> : title}</div>
      {typeof subtitle === "string" ? <p>{subtitle}</p> : subtitle}
    </div>
  );
}
